List Transactions
curl --request GET \
--url https://api.{your-broker}.slate-labs.com/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.{your-broker}.slate-labs.com/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.{your-broker}.slate-labs.com/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"cashier_id": "<string>",
"order_id": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"manager_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approved_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transaction_owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gate_id": "<string>",
"gate_name": "<string>",
"payment_data": {},
"amount": "<string>",
"currency": "<string>",
"account_amount": "<string>",
"usd_amount": "<string>",
"exchange_rate_usd": "<string>",
"proof_reference": "<string>",
"proof_url": "<string>",
"type": "<string>",
"status": "<string>",
"customer_view": true,
"comment": "<string>",
"create_time": "2023-11-07T05:31:56Z",
"update_time": "2023-11-07T05:31:56Z",
"approve_time": "2023-11-07T05:31:56Z",
"decline_time": "2023-11-07T05:31:56Z",
"account_currency": "<string>",
"fx_rate_applied": "<string>",
"related_transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_login": "<string>",
"manager_name": "<string>",
"approved_by_name": "<string>",
"transaction_owner_name": "<string>",
"chargeback_of": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payout_provider": "<string>",
"payout_status": "<string>",
"payout_reference": "<string>",
"payout_attempt": 123,
"payout_submitted_at": "2023-11-07T05:31:56Z",
"payout_completed_at": "2023-11-07T05:31:56Z",
"payout_failure_reason": "<string>"
}
],
"total": 123,
"total_capped": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Transactions
List Transactions
GET
/
transactions
List Transactions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 1000Required range:
x >= 0Free-text search on ID, cashier ref, order ref, amount, account login, customer email/name
Response
Successful Response
⌘I